[vdr] can't compile xine for vdr

Anssi Hannula anssi.hannula at gmail.com
Wed Dec 24 12:57:05 CET 2008


Ludwig Nussel wrote:
> Darren Salt wrote:
>> I demand that Ludwig Nussel may or may not have written...
>>
>>> Andreas Hölscher wrote:
>>>> I installed a fresh SuSE 11.1 on my computer and tried to compile
>>>> xine-lib for use with xine vdr plugin.
>>>> [..doesn't work..]
>>>> I'm not a programmer, so I don't know what to do now. Can anyone point
>>>> me in the right direction please?
>>> libxine1 as shipped on 11.1 already contains the vdr plugin. Packman has
>>> the xine plugins for mpeg.
>> That's binary-incompatible with other distributions. I hope that the soname
>> has been adjusted appropriately...
> 
> No, I actually haven't paid attention to that problem.
> AFAICS the ABI incompatible changes affect post_video_port_s in
> post.h and xine_video_port_s in video_out.h. Only post plugins or
> new video outputs would be affected by that I guess. So hopefully
> not that bad after all.

Well, the SONAME in libxine reflects application interface only. The
plugin API has a different versioning.

-- 
Anssi Hannula



More information about the vdr mailing list